Subject: Re: bug#63527: [PATCH 0/3] Initial attempt at rumpdisk support for the Hurd.

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Wed, 24 May 2023 11:15:57 +0200

Ludovic Courtès writes:

Hi Ludo!

> Janneke Nieuwenhuizen <[email-masked]> skribis:
>
>> So, with lots of kind help from the folks at #hurd and bug-hurd, and many
>> thanks to Josselin Poiret for sending their amazing "Add libc specific to Hurd
>> and update components" patch set (https://issues.guix.gnu.org/63641, note that
>> these series depend on this!) we now have rumpdisk support for the Hurd.
>
> Yay!! 🎉

Yes \o/

>> To actually use it instead of the gnumach builtin IDE driver, use
>>
>>     (kernel-arguments '("noide"))
>
> Should we build Mach without this driver, or otherwise make “noide” the
> default?  (We can answer that later, no rush.)

Possibly, I would suggest for now to follow upstream, IIUC, rumpdisk is
still somewhat experimental (and slooowww).

I expect upstream/bothstream to drop the "noide" patch at some point,
and possibly eradicate the IDE driver from gnumach altogether?

>> guix shell qemu -- qemu-system-i386                     \
>> -m 4096                                                 \
>> --enable-kvm                                            \
>> --device rtl8139,netdev=net0                            \
>
> Once we have netdde, we can probably drop that line and use the default
> NIC (e1000, IIRC).
>
> Is “-m 4096” still needed?  You mentioned this as a workaround
> initially, IIRC?

-m 2048 should be enoug, it seems boot with -m 1200; but yea, we do _do_
 need more than 1024 (or 512 even)...

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com